#ifndef _BP35A1_RAW_MESSAGE_H_
#define _BP35A1_RAW_MESSAGE_H_

#include <glib.h>
#include <string.h>

typedef struct _Bp35a1RawMessage Bp35a1RawMessage;

Bp35a1RawMessage *bp35a1_raw_message_new (gpointer data, gsize size);
void bp35a1_raw_message_free (Bp35a1RawMessage * raw);
void bp35a1_raw_message_freev (Bp35a1RawMessage ** msg_array);
gchar *bp35a1_raw_message_to_string (Bp35a1RawMessage * raw);
gint bp35a1_raw_message_addr_compare (gconstpointer a, gconstpointer b);
Bp35a1RawMessage **bp35a1_raw_message_split (Bp35a1RawMessage * raw,
    const gchar *delimiter, gint max_tokens);

struct _Bp35a1RawMessage
{
  gpointer data;
  gsize size;
};

#endif
